org.keycloak.connections.jpa.updater.liquibase

## Class LiquibaseJpaUpdaterProvider

- java.lang.Object
- - org.keycloak.connections.jpa.updater.liquibase.LiquibaseJpaUpdaterProvider

- All Implemented Interfaces:
    JpaUpdaterProvider, Provider

      public class LiquibaseJpaUpdaterProvider
      extends Object
      implements JpaUpdaterProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHANGELOG`
    `static String` | `DB2_CHANGELOG`

    - ### Fields inherited from interface org.keycloak.connections.jpa.updater.JpaUpdaterProvider

      `FIRST_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquibaseJpaUpdaterProvider(KeycloakSession session)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static String` | `getTable(String table, String defaultSchema)`
    `void` | `update(Connection connection, String defaultSchema)`
    `protected void` | `updateChangeSet(liquibase.Liquibase liquibase, String changelog)`
    `void` | `validate(Connection connection, String defaultSchema)`
    `protected void` | `validateChangeSet(liquibase.Liquibase liquibase, String changelog)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHANGELOG

          public static final String CHANGELOG

      See Also:
        Constant Field Values

    - #### DB2_CHANGELOG

          public static final String DB2_CHANGELOG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LiquibaseJpaUpdaterProvider

          public LiquibaseJpaUpdaterProvider(KeycloakSession session)

  - ### Method Detail

    - #### update

          public void update(Connection connection,
                             String defaultSchema)

      Specified by:
        `update` in interface `JpaUpdaterProvider`

    - #### updateChangeSet

          protected void updateChangeSet(liquibase.Liquibase liquibase,
                                         String changelog)
                                  throws liquibase.exception.LiquibaseException

      Throws:
        `liquibase.exception.LiquibaseException`

    - #### validate

          public void validate(Connection connection,
                               String defaultSchema)

      Specified by:
        `validate` in interface `JpaUpdaterProvider`

    - #### validateChangeSet

          protected void validateChangeSet(liquibase.Liquibase liquibase,
                                           String changelog)
                                    throws liquibase.exception.LiquibaseException

      Throws:
        `liquibase.exception.LiquibaseException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

    - #### getTable

          public static String getTable(String table,
                                        String defaultSchema)

Copyright © 2016 JBoss by Red Hat. All rights reserved.